Name:		qcomicbook
Version:	0.9.0
Release:	%mkrel 8
Summary:	Comic book archive viewer
Source0:	http://qcomicbook.linux-projects.net/releases/%{name}-%{version}.tar.gz
URL:		http://qcomicbook.linux-projects.net
Group:		File tools
License:	GPLv2+
Requires:	unzip
Recommends:	unrar
Recommends:	p7zip
BuildRequires:	pkgconfig(poppler-qt4)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	cmake

%description
QComicBook is a viewer for comic book archives containing jpeg/png
images, which aims at convenience and simplicity. Features include:

    * automatic handling of archives
    * full-screen mode
    * two-pages mode and japanese mode
    * thumbnails view
    * page scaling (fit to window witdth/height, whole page)
    * mouse or keyboard navigation, whatever you prefer
    * bookmarks
    * and more...

%prep
%setup -q

%build
%cmake_qt4
%make

%install
%make_install -C build


%files

%doc AUTHORS README ChangeLog COPYING THANKS TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*
%{_datadir}/pixmaps/%name.png
%{_datadir}/%{name}/


%changelog
* Mon Nov 28 2016 luigiwalser <luigiwalser> 0.9.0-8.mga6
+ Revision: 1070642
- rebuild for poppler

* Tue Feb 16 2016 umeabot <umeabot> 0.9.0-7.mga6
+ Revision: 962477
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 0.9.0-6.mga6
+ Revision: 895437
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-5.mga5
+ Revision: 748371
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 688470
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 517822
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 379795
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 04 2012 vaci0 <vaci0> 0.9.0-1.mga3
+ Revision: 278419
- Updated to version 0.9.0

* Wed Jun 13 2012 fwang <fwang> 0.8.2-2.mga3
+ Revision: 260189
- rebuild for new poppler

* Tue Oct 18 2011 mikala <mikala> 0.8.2-1.mga2
+ Revision: 156227
- Update tarball to 0.8.2

* Thu Sep 15 2011 mikala <mikala> 0.8.1-1.mga2
+ Revision: 143843
- Update tarball to 0.8.1
- use pkgconfig() for BR
- Fix BR
- Add some documentation
- Remove %%defattr()
- Remove %%clean section

* Wed Jun 08 2011 mikala <mikala> 0.7.2-1.mga2
+ Revision: 101993
- Clean spec
- imported package qcomicbook

